rename datadir -> sharedir

abuild uses datadir as local variable in various functions. Rename the
global datadir to sharedir to avoid confusion.
This commit is contained in:
Natanael Copa 2019-11-07 11:21:32 +00:00
parent 43fb2c012e
commit f3dc428ea0
9 changed files with 39 additions and 39 deletions

View File

@ -5,7 +5,7 @@ VERSION := 3.4.0
prefix ?= /usr
bindir ?= $(prefix)/bin
sysconfdir ?= /etc
datadir ?= $(prefix)/share/$(PACKAGE)
sharedir ?= $(prefix)/share/$(PACKAGE)
mandir ?= $(prefix)/share/man
SCRIPTS := abuild abuild-keygen abuild-sign newapkbuild \
@ -36,7 +36,7 @@ LINK = $(CC) $(OBJS-$@) -o $@ $(LDFLAGS) $(LDFLAGS-$@) $(LIBS-$@)
SED_REPLACE := -e 's:@VERSION@:$(FULL_VERSION):g' \
-e 's:@prefix@:$(prefix):g' \
-e 's:@sysconfdir@:$(sysconfdir):g' \
-e 's:@datadir@:$(datadir):g' \
-e 's:@sharedir@:$(sharedir):g' \
SSL_CFLAGS ?= $(shell pkg-config --cflags openssl)
SSL_LDFLAGS ?= $(shell pkg-config --cflags openssl)
@ -98,7 +98,7 @@ check: $(USR_BIN_FILE) functions.sh
install: $(USR_BIN_FILES) $(SAMPLES) abuild.conf functions.sh
install -d $(DESTDIR)/$(bindir) $(DESTDIR)/$(sysconfdir) \
$(DESTDIR)/$(datadir) $(DESTDIR)/$(mandir)/man1 \
$(DESTDIR)/$(sharedir) $(DESTDIR)/$(mandir)/man1 \
$(DESTDIR)/$(mandir)/man5
for i in $(USR_BIN_FILES); do\
install -m 755 $$i $(DESTDIR)/$(bindir)/$$i;\
@ -118,7 +118,7 @@ install: $(USR_BIN_FILES) $(SAMPLES) abuild.conf functions.sh
fi
cp $(SAMPLES) $(DESTDIR)/$(prefix)/share/abuild/
cp $(AUTOTOOLS_TOOLCHAIN_FILES) $(DESTDIR)/$(prefix)/share/abuild/
cp functions.sh $(DESTDIR)/$(datadir)/
cp functions.sh $(DESTDIR)/$(sharedir)/
.gitignore: Makefile
echo "*.tar.bz2" > $@

View File

@ -7,13 +7,13 @@
#
program_version=@VERSION@
datadir=@datadir@
sharedir=@sharedir@
if ! [ -f "$datadir/functions.sh" ]; then
echo "$datadir/functions.sh: not found" >&2
if ! [ -f "$sharedir/functions.sh" ]; then
echo "$sharedir/functions.sh: not found" >&2
exit 1
fi
. "$datadir/functions.sh"
. "$sharedir/functions.sh"
# ask for privkey unless non-interactive mode

View File

@ -7,13 +7,13 @@
#
program_version=@VERSION@
datadir=@datadir@
sharedir=@sharedir@
if ! [ -f "$datadir/functions.sh" ]; then
echo "$datadir/functions.sh: not found" >&2
if ! [ -f "$sharedir/functions.sh" ]; then
echo "$sharedir/functions.sh: not found" >&2
exit 1
fi
. "$datadir/functions.sh"
. "$sharedir/functions.sh"
do_sign() {
local f i keyname repo

View File

@ -8,16 +8,16 @@
#
program_version=@VERSION@
datadir=@datadir@
sharedir=@sharedir@
abuild_path=$(readlink -f $0)
git=$(command -v git) || git=true
if ! [ -f "$datadir/functions.sh" ]; then
echo "$datadir/functions.sh: not found" >&2
if ! [ -f "$sharedir/functions.sh" ]; then
echo "$sharedir/functions.sh: not found" >&2
exit 1
fi
. "$datadir/functions.sh"
. "$sharedir/functions.sh"
# defaults
: ${FAKEROOT:="fakeroot"}
@ -608,7 +608,7 @@ update_config_sub() {
find . -name config.sub | (local changed=false; while read f; do
if ! ./$f armv6-alpine-linux-muslgnueabihf 2>/dev/null; then
msg "Updating $f"
cp "$datadir"/${f##*/} "$f" || return 1
cp "$sharedir"/${f##*/} "$f" || return 1
changed=true
else
msg "No update needed for $f"
@ -623,7 +623,7 @@ update_config_guess() {
msg "No update needed for $f"
else
msg "Updating $f"
cp "$datadir"/${f##*/} "$f" || return 1
cp "$sharedir"/${f##*/} "$f" || return 1
changed=true
fi
done; $changed)

View File

@ -7,13 +7,13 @@
#
program_version=@VERSION@
datadir=@datadir@
sharedir=@sharedir@
if ! [ -f "$datadir/functions.sh" ]; then
echo "$datadir/functions.sh: not found" >&2
if ! [ -f "$sharedir/functions.sh" ]; then
echo "$sharedir/functions.sh: not found" >&2
exit 1
fi
. "$datadir/functions.sh"
. "$sharedir/functions.sh"
: ${ABUILD:="abuild"}

View File

@ -7,13 +7,13 @@
#
program_version=@VERSION@
datadir=@datadir@
sharedir=@sharedir@
if ! [ -f "$datadir/functions.sh" ]; then
echo "$datadir/functions.sh: not found" >&2
if ! [ -f "$sharedir/functions.sh" ]; then
echo "$sharedir/functions.sh: not found" >&2
exit 1
fi
. "$datadir/functions.sh"
. "$sharedir/functions.sh"
show_plain() {

View File

@ -3,7 +3,7 @@
program_version=@VERSION@
sysconfdir=@sysconfdir@
abuildrepo=/var/lib/buildlab/result
datadir=@datadir@
sharedir=@sharedir@
BUILD_BASE="build-base"
SUDO=${SUDO:-"sudo"}

View File

@ -7,13 +7,13 @@
#
program_version=@VERSION@
datadir=@datadir@
sharedir=@sharedir@
if ! [ -f "$datadir/functions.sh" ]; then
echo "$datadir/functions.sh: not found" >&2
if ! [ -f "$sharedir/functions.sh" ]; then
echo "$sharedir/functions.sh: not found" >&2
exit 1
fi
. "$datadir/functions.sh"
. "$sharedir/functions.sh"
usage() {

View File

@ -7,13 +7,13 @@
#
program_version=@VERSION@
datadir=@datadir@
sharedir=@sharedir@
if ! [ -f "$datadir/functions.sh" ]; then
echo "$datadir/functions.sh: not found" >&2
if ! [ -f "$sharedir/functions.sh" ]; then
echo "$sharedir/functions.sh: not found" >&2
exit 1
fi
. "$datadir/functions.sh"
. "$sharedir/functions.sh"
is_url() {
@ -246,10 +246,10 @@ newaport() {
# Copy init.d scripts if requested
if [ -n "$cpinitd" ]; then
cp "$datadir"/sample.initd $pkgname.initd
cp "$datadir"/sample.confd $pkgname.confd
cp "$datadir"/sample.pre-install $pkgname.pre-install
cp "$datadir"/sample.post-install $pkgname.post-install
cp "$sharedir"/sample.initd $pkgname.initd
cp "$sharedir"/sample.confd $pkgname.confd
cp "$sharedir"/sample.pre-install $pkgname.pre-install
cp "$sharedir"/sample.post-install $pkgname.post-install
install="\$pkgname.pre-install \$pkgname.post-install"
source="$source
$pkgname.initd